%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		tali
Version:	40.9
Release:	%mkrel 1
Summary:	GNOME Tali game
License:	GPLv2+ and GFDL
Group:		Games/Cards
URL:		https://wiki.gnome.org/Tali
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(libgnome-games-support-1)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
Obsoletes:	gtali
# For help
Requires:	yelp

%description
Sort of poker with dice and less money. An ancient Roman game.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --all-name --with-gnome

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Tali.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Tali.gschema.xml
%{_iconsdir}/*/*/apps/org.gnome.Tali*.*
%{_datadir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_datadir}/metainfo/org.gnome.Tali.appdata.xml


%changelog
* Mon Jan 09 2023 daviddavid <daviddavid> 40.9-1.mga9
+ Revision: 1931925
- new version 40.9

* Sat Aug 06 2022 ovitters <ovitters> 40.8-1.mga9
+ Revision: 1875589
- new version 40.8
- new version 40.7

* Sat Mar 19 2022 ovitters <ovitters> 40.6-1.mga9
+ Revision: 1801182
- new version 40.6

* Sun Jan 30 2022 ovitters <ovitters> 40.5-1.mga9
+ Revision: 1770678
- new version 40.5
- new version 40.4

* Sat Sep 18 2021 ovitters <ovitters> 40.3-1.mga9
+ Revision: 1745871
- new version 40.3

* Sun Aug 15 2021 ovitters <ovitters> 40.2-1.mga9
+ Revision: 1741536
- new version 40.2

* Fri May 14 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1723090
- new version 40.1

* Wed Mar 24 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709133
- new version 40.0

* Sat Feb 27 2021 daviddavid <daviddavid> 3.38.3-1.mga9
+ Revision: 1692578
- new version 3.38.3

* Sat Nov 21 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1648354
- new version 3.38.2

* Mon Sep 14 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1626244
- new version 3.38.0

* Sun Sep 06 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1622982
- new version 3.37.92

* Sat Aug 22 2020 ovitters <ovitters> 3.37.91-1.mga8
+ Revision: 1618050
- new version 3.37.91

* Sat Aug 08 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1612082
- new version 3.37.90

* Sat Jul 04 2020 ovitters <ovitters> 3.37.3-1.mga8
+ Revision: 1602052
- new version 3.37.3

* Thu Jun 11 2020 daviddavid <daviddavid> 3.37.1-1.mga8
+ Revision: 1592567
- new version 3.37.1

* Sat Mar 28 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1562009
- new version 3.36.1

* Sat Mar 07 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554602
- new version 3.36.0

* Mon Feb 17 2020 ovitters <ovitters> 3.35.91-1.mga8
+ Revision: 1537057
- new version 3.35.91

* Sat Feb 15 2020 umeabot <umeabot> 3.32.1-2.mga8
+ Revision: 1528025
- Mageia 8 Mass Rebuild

* Thu Aug 08 2019 ovitters <ovitters> 3.32.1-1.mga8
+ Revision: 1428161
- new version 3.32.1

* Thu Apr 18 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392934
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1373862
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.90-1.mga7
+ Revision: 1372630
- switch to meson
- new version 3.31.90

* Sun Sep 23 2018 umeabot <umeabot> 3.22.0-3.mga7
+ Revision: 1301311
- Mageia 7 Mass Rebuild

* Fri Sep 22 2017 cjw <cjw> 3.22.0-2.mga7
+ Revision: 1156953
- rebuild for new find_lang

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055010
- new version 3.22.0

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993739
- new version 3.20.0

* Mon Mar 14 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990735
- new version 3.19.92

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961590
- new version 3.19.90

* Fri Feb 12 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 958951
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883100
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.16.2-1.mga6
+ Revision: 879361
- new version 3.16.2

* Mon Jun 22 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 838774
- new version 3.16.1

* Tue Feb 17 2015 wally <wally> 3.14.0-3.mga5
+ Revision: 815347
- require yelp for showing help

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 748013
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731384
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 689685
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676938
- new version 3.13.92

* Mon Sep 01 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670757
- new version 3.13.91

* Tue Aug 19 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665285
- new version 3.13.90

* Mon Jul 21 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655259
- new version 3.13.4

* Thu May 29 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 627591
- new version 3.13.1

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622279
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614229
- new version 3.12.1

* Sun Mar 23 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 606987
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604626
- new version 3.11.92

* Mon Mar 03 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599036
- new version 3.11.91

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593895
- new version 3.11.90

* Wed Feb 05 2014 dams <dams> 3.11.5-1.mga5
+ Revision: 582960
- new version 3.11.5

* Mon Nov 11 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550453
- new version 3.10.2

* Sat Nov 09 2013 ovitters <ovitters> 3.10.0-3.mga4
+ Revision: 550202
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536486
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484345
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480459
- new version 3.9.92

* Wed Aug 21 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468755
- new version 3.9.90
- cleanup spec

* Sun Jun 09 2013 dams <dams> 3.8.0-1.mga4
+ Revision: 440921
- imported package tali

